import { TeamEmployeeService } from 'src/team-employee/team-employee.service';
import { CreateEmployeeDto } from './dto/create-employee.dto';
import { UpdateEmployeeDto } from './dto/update-employee.dto';
import { Employee } from './entities/employee.entity';
export declare class EmployeeService {
    private readonly employeeRepository;
    private readonly teamEmployeeRepository;
    constructor(employeeRepository: typeof Employee, teamEmployeeRepository: TeamEmployeeService);
    create(createEmployeeDto: CreateEmployeeDto, businessId: string): Promise<Employee>;
    findAll(businessId: string): Promise<Employee[]>;
    findOne(id: string, businessId: string): Promise<Employee>;
    update(id_of_element: string, updateEmployeeDto: UpdateEmployeeDto, businessId: string): Promise<boolean>;
    remove(id: string, businessId: string): Promise<string>;
}
